Bug 149496 - freeze folder state after search
Summary: freeze folder state after search
Status: RESOLVED FIXED
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR wishlist with 1 vote (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-02 22:46 UTC by Maciej Pilichowski
Modified: 2010-01-11 17:13 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Pilichowski 2007-09-02 22:46:56 UTC
Version:            (using KDE KDE 3.5.7)
Installed from:    SuSE RPMs

Take a look at:
https://bugs.kde.org/show_bug.cgi?id=90029#c8

"Freeze" feature would be a great companion to this wish -- imagine a button near search edit-box "freeze search" (or whatever).

You search something in folder A, there are 10 mails, you click on this "freeze", you click on folder B, you search for something else, you click on A again and voila, A is still filtered out by this frozen search.
Comment 1 Thomas McGuire 2007-09-03 20:00:54 UTC
Please don't report wishes which depend on another wish being implemented first.
Instead, leave comments on the original bug report, the developer implementing the feature will read those then.
Comment 2 Maciej Pilichowski 2007-09-03 21:33:49 UTC
Thomas, ok, I think I did it on purpose only once (for K3b) but it was good idea :-)

If you have in mind the report I pointed out -- it is a _companion_, one could implement this idea and the other idea 10 years later or vice versa. They are 100% independent (reopening). Just in case -- the other report is about your search query goes along with you through the folders, this report is about each folder "remembers" its own search-query. 

Or, you spotted other report, then sorry for dependency-chain, but I didn't find anything.
Comment 3 Björn Ruberg 2010-01-10 23:33:37 UTC
We have tabs now - is that not make this unneeded?
Comment 4 Maciej Pilichowski 2010-01-11 17:13:13 UTC
The answer depends of the report:
https://bugs.kde.org/show_bug.cgi?id=222240

(I don't know how to set chain here).